Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Aumix volume/mixer control program
Name:		aumix
Version:	2.8
Release:	2
License:	GNU/GPL 
URL:		http://jpj.net/~trevor/aumix/
Group:		Sound
Source0:	http://jpj.net/~trevor/aumix/%{name}-%{version}.tar.bz2
Source1:	aumix.desktop
Source2:	aumix.png
Patch0:		%{name}-%{version}-nohome.patch
Patch1:		%{name}-%{version}-close-dialogs.patch
Patch2:		%{name}-%{version}-save_load.patch
Patch3:		%{name}-%{version}-nls.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	alsa-lib-devel 
BuildRequires:  ncurses-devel 
BuildRequires:  gtk2+-devel 
BuildRequires:  glib-devel 
BuildRequires:  pango-devel 
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  gdk-pixbuf-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
Aumix volume/mixer control program

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# Prevent auto* from rerunning
touch aclocal.m4
find . -name Makefile.in -exec touch {} \;
find . -name stamp-h.in -exec touch {} \;
touch configure

%build
./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir \
	--without-gtk1 --enable-nls
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}
cp %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/
cp %{SOURCE1} %{buildroot}%{_datadir}/applications/
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
/* 

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.8-1
- rebuilt against gpm 
* Sat Jan 07 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.8-1
- Initial Release
